# Tutorial

Welcome to the FastAPI Maintenance tutorial! This section will guide you through:

- Installing the package
- Setting up your first maintenance mode middleware
- Configuring maintenance mode backends
- Using the decorators and context managers
- Customizing maintenance responses
- Advanced use cases

Follow along step-by-step to learn how to implement maintenance mode in your FastAPI applications. We recommend starting with the installation guide and proceeding through each section in order.

## What You'll Learn

By the end of this tutorial, you'll understand how to:

- Set up and configure maintenance mode middleware in your FastAPI application
- Use different storage backends for maintenance state
- Control maintenance mode behavior with route decorators and context managers
- Create custom maintenance responses and exemptions for specific requests
- Implement advanced patterns like content negotiation and template-based responses
- Integrate maintenance mode with other middleware and application lifecycle events
- Follow best practices for API availability management during maintenance

Let's begin with the [installation guide](./install.md).
