# Installation

The first step is to install the package using one of the following methods.

First, make sure you create a virtual environment and activate it.

## Methods

### Using pip (recommended)

```bash
pip install fastapi-maintenance
```

### Using uv

If you're using uv for dependency management:

```bash
uv add fastapi-maintenance
```

### From Source

For the latest development version, you can install directly from the GitHub repository:

```bash
pip install git+https://github.com/msamsami/fastapi-maintenance.git
```

## Verifying Installation

You can verify the installation by checking the version in Python:

```python
import fastapi_maintenance
print(fastapi_maintenance.__version__)  # Should print the installed version
```

## Next Steps

Now that you have installed FastAPI Maintenance, let's proceed to [First Steps](./first-steps.md) to learn how to add it to your FastAPI application.
